if (is_link ("/", FS_FILE)) ...                                                /* 0 */

if (is_link ("/etc", FS_FILE)) ...                                             /* 0 */

if (is_link ("/etc/hosts", FS_FILE)) ...                                       /* 1 */

if (is_link ("./text.txt", FS_FILE)) ...                                       /* 0 */

if (is_link ("./random-file-name.txt", FS_FILE)) ...                           /* "ERR_LINK_NOT_EXISTS" */

if (is_link ("./random/directory/name", FS_FILE)) ...                          /* "ERR_LINK_NOT_EXISTS" */

if (is_link ("", FS_FILE)) ...                                                 /* "ERR_EMPTY_LINK_NAME" */

if (is_link ("?*><", FS_FILE)) ...                                             /* "ERR_INCORRECT_LINK_NAME" */